<?php 
/* ----------------------------------------

	Plugin Name: WPT E-Bülten Bileşeni
	Description: Bu eklenti bileşenler kısmına e-bülten formu ekler.
	Version: 1.0
	Author: Fatih 
	Author URL: http://www.wptemalari.net

---------------------------------------- */

class wpt_ebulten extends WP_Widget {

    function __construct() {
        $widget_options = array( 'description' => 'E-bülten formunu gösterir.' );
        parent::WP_Widget(false,'(WPT) E-Bülten', $widget_options );
    }
     
    function widget($args, $instance) {
        extract($args);
        $title = $instance['title'];
		$acik = $instance['detay'];
		$bulten = $instance['abone'];
        
        echo $before_widget;
        echo $before_title . $title . $after_title;
        ?>
<?php echo '<img src="' . plugins_url( 'img/bulten.png' , __FILE__ ) . '" width="32" height="24" class="alignleft" /> '; ?><p><?php echo $acik ?></p>
<form id="bulten" class="aligncenter" action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $bulten ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true">
<input type="text" name="email" value="E-mail adresiniz" onfocus="if(this.value==this.defaultValue)this.value='';" onblur="if(this.value=='')this.value=this.defaultValue;" />
<input type="hidden" value="<?php echo $bulten ?>" name="uri" />
<input type="hidden" name="loc" value="en_US" />
<input type="submit" value="Ekle" class="button" /></form>
		<?php
        echo $after_widget;
        
    }
    
    function update($new_instance, $old_instance) {
        return $new_instance;
    }
    
    function form($instance) {
        if(isset($instance['title'])) {
            $title = $instance['title'];
        }else {
            $title = "";
        }
        if(isset($instance['abone'])) {
            $bulten = $instance['abone'];
        }else {
            $bulten = "";
        }
		
        if(isset($instance['detay'])) {
            $acik = $instance['detay'];
        }else {
            $acik = "";
        }
        ?>
        <p>
            <label for="<?php echo $this->get_field_id( 'title' ) ;?>">Başlık:</label>
            <input type="text" id="<?php echo $this->get_field_id( 'title' ) ;?>"
                   class="widefat" value="<?php echo $title; ?>" name="<?php echo $this->get_field_name( 'title' ) ;?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_id( 'detay' ) ;?>">Açıklama:</label>
            <input type="text" id="<?php echo $this->get_field_id( 'detay' ) ;?>"
                   class="widefat" value="<?php echo $acik; ?>" name="<?php echo $this->get_field_name( 'detay' ) ;?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_id( 'abone' ) ;?>">Feedburner Üyelik Adı:</label>
            <input type="text" id="<?php echo $this->get_field_id( 'abone' ) ;?>"
                   class="widefat" value="<?php echo $bulten; ?>" name="<?php echo $this->get_field_name( 'abone' ) ;?>" />
        </p>
<?php
    }
}
function wpt_ebulten_bileseni()
{
	 register_widget('wpt_ebulten');
}

add_action('widgets_init', 'wpt_ebulten_bileseni');
?>